---
title: ReadableStreamBYOBRequest
slug: Web/API/ReadableStreamBYOBRequest
tags:
  - API
  - Experimental
  - Fetch
  - Interface
  - ReadableStreamBYOBRequest
  - Reference
  - Steams
---
<p>{{APIRef("Streams")}}{{SeeCompatTable}}{{draft}}</p>

<p>The <code><strong>ReadableStreamBYOBRequest</strong></code> interface of the <a href="/en-US/docs/Web/API/Streams_API">Streams API</a> represents a pull request into a {{domxref("ReadableByteStreamController")}} view.</p>

<p>A view, as mentioned below, refers to a typed array representing the destination region to which the associated <code>ReadableByteStreamController</code> controller can write generated data.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dd>None. <code>ReadableStreamBYOBRequest</code> instance is created automatically by <code>ReadableByteStreamController</code> as needed.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("ReadableStreamBYOBRequest.view")}} {{readonlyInline}}</dt>
 <dd>Returns the current view.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("ReadableStreamBYOBRequest.respond()")}}</dt>
 <dd>xxx</dd>
 <dt>{{domxref("ReadableStreamBYOBRequest.respondWithNewView()")}}</dt>
 <dd>xxx</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Streams','#rs-byob-request-class','ReadableStreamBYOBRequest')}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ReadableStreamBYOBRequest")}}</p>
</div>
